package com.bcxin.ars.model.sb;

import com.abcxin.smart.validator.annotation.ModelAnnotation;
import com.bcxin.ars.model.BaseModel;

import java.util.Date;

public class Armtraincharge extends BaseModel {


    /** 武装机构ID */
    @ModelAnnotation(getName="武装机构ID",column = "armtrainorgid")
    private Long armtrainorgid;

    /** 姓名 */
    @ModelAnnotation(getName="姓名",column = "pxname")
    private String pxname;

    /** 身份证号 */
    @ModelAnnotation(getName="身份证号",column = "pxidnum")
    private String pxidnum;

    /** 手机号 */
    @ModelAnnotation(getName="手机号",column = "pxphone")
    private String pxphone;

    /**
     * 审查状态
     */
    @ModelAnnotation(getName="审查状态",column = "censorstatus")
    private String censorstatus;


    public String getCensorstatus() {
        return censorstatus;
    }

    public void setCensorstatus(String censorstatus) {
        this.censorstatus = censorstatus;
    }

    /**
     *
     * 获取  武装机构ID
     *
     * @return  armtrainorgid
     */
    public Long getArmtrainorgid() {
        return armtrainorgid;
    }

    /**
     *
     * 设置  武装机构ID
     *
     * @param armtrainorgid
     */
    public void setArmtrainorgid(Long armtrainorgid) {
        this.armtrainorgid = armtrainorgid;
    }

    /**
     *
     * 获取  姓名
     *
     * @return  pxname
     */
    public String getPxname() {
        return pxname;
    }

    /**
     *
     * 设置  姓名
     *
     * @param pxname
     */
    public void setPxname(String pxname) {
        this.pxname = pxname == null ? null : pxname.trim();
    }

    /**
     *
     * 获取  身份证号
     *
     * @return  pxidnum
     */
    public String getPxidnum() {
        return pxidnum;
    }

    /**
     *
     * 设置  身份证号
     *
     * @param pxidnum
     */
    public void setPxidnum(String pxidnum) {
        this.pxidnum = pxidnum == null ? null : pxidnum.trim();
    }

    /**
     *
     * 获取  手机号
     *
     * @return  pxphone
     */
    public String getPxphone() {
        return pxphone;
    }

    /**
     *
     * 设置  手机号
     *
     * @param pxphone
     */
    public void setPxphone(String pxphone) {
        this.pxphone = pxphone == null ? null : pxphone.trim();
    }
}